Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeGetSymmetric

Get the flag to extrude symmetrically from the initial surface

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetSymmetric(DMPlexTransform tr, PetscBool *symmetric)

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- symmetric - The flag to extrude symmetrically

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetSymmetric()`, `DMPlexTransformExtrudeGetPeriodic()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages